It's release time dor 0.34.0. So the committed files are copied from trunk.

* CHANGES,
* subversion/include/svn_version.h:
  Reflecting the current status of 0.34.0

* dist.sh: New release rutines from version 0.34.0


git-svn-id: https://svn.apache.org/repos/asf/subversion/branches/0.34.0@848001 13f79535-47bb-0310-9956-ffa450edef68
diff --git a/CHANGES b/CHANGES
index eb48de1..2c37f3c 100644
--- a/CHANGES
+++ b/CHANGES
@@ -1,3 +1,47 @@
+Version 0.34.0 (released 3 December 2003, from revision r7859)
+http://svn.collab.net/repos/svn/tags/0.34.0
+
+#####################################################################
+##  WARNING  WARNING  WARNING  WARNING  WARNING  WARNING  WARNING  ##
+#####################################################################
+##                                                                 ##
+## This release makes  an incompatible  change  to  the Subversion ##
+## database.    Repositories created with versions  of  Subversion ##
+## prior to 0.34 will not work with Subversion 0.34.               ##  
+## To  upgrade,   first  use  'svnadmin dump'  with  your existing ##
+## Subversion binaries.   Then upgrade your binaries to 0.34,  and ##
+## use  'svnadmin load'  to  create  a  new  repository  from your ##
+## dumpfile.                                                       ##
+## Don't  forget  to  copy any custom configuration/hooks from the ##
+## old to the new repository.                                      ##
+##                                                                 ##
+#####################################################################
+
+ Please see notes/repos_upgrade_HOWTO for documentation on migrating
+ pre-0.34.0 repos to 0.34.0.
+
+ That document is also located here:
+    http://svn.collab.net/repos/svn/trunk/notes/repos_upgrade_HOWTO
+
+ User-visible changes:
+ * fs schema change (#1578, #1595) **NOTE: repos dump/load cycle required!**
+ * Berkeley DB 4.2.50 is now the recommended Berkeley version
+ * Fix: 'svn status' thought replaced items were unversioned (#1609)
+ * SSL server cert error prompt improvement (r7849)
+ * many error message improvements (r7745, r7763, r7824 and 7827 - #897)
+ * don't show update-completion message until all wc work completes (#1556) 
+ * many other enhancements, minor features, and bugfixes not listed here
+
+ Developer-visible changes:
+ * public client APIs changes (r7799) after fixing #1556
+ * many improvements and fixes on Perl bindings (perl => 5.8.0 are required)
+ * improvements, fixes on misc. test scripts
+ * many other changes not listed here
+
+ Merged revisions after release branching:
+ * r7868 - Java bindings
+ * r7888 - Security fix for svnserve
+
 Version 0.33.1 (released 17 November 2003, revision r7782)
 http://svn.collab.net/repos/svn/tags/0.33.1
 
@@ -45,7 +89,7 @@
  * cvs2svn.py bugfixes, especially issue #1440
  * book and documentation updates
  * removed server config options ssl-ignore-invalid-date and
-   ssl-override-cert-hostname (r7644) 
+   ssl-override-cert-hostname (r7644)
  * many other enhancements, minor features, and bugfixes not listed here
 
  Developer-visible changes:
@@ -250,10 +294,10 @@
 ##                                                                 ##
 #####################################################################
 
- Please see the notes/repository_upgrade_HOWTO document located  for
- documentation on migrating pre-.28 repos to revision .28.
+ Please see notes/repos_upgrade_HOWTO for documentation on migrating
+ pre-0.28.0 repos to 0.28.0.
 
- Also located here:
+ That document is also located here:
     http://svn.collab.net/repos/svn/trunk/notes/repos_upgrade_HOWTO
 
  User-visible changes:
diff --git a/dist.sh b/dist.sh
index dac3232..86ece68 100755
--- a/dist.sh
+++ b/dist.sh
@@ -1,13 +1,13 @@
 #!/bin/sh
 
 #
-# USAGE: ./dist.sh VERSION REVISION [REPOS-PATH]
+# USAGE: ./dist.sh -v VERSION -r REVISION [-rs REVISION-SVN] [-pr REPOS-PATH]
 #
 #   Create a distribution tarball, labelling it with the given VERSION.
-#   The REVISION will be used in the version string. The tarball will be
-#   constructed from the root located at REPOS-PATH. If REPOS-PATH is
-#   not specified then the default is "branches/VERSION". For
-#   example, the command line:
+#   The REVISION or REVISION-SVN will be used in the version string.
+#   The tarball will be constructed from the root located at REPOS-PATH.
+#   If REPOS-PATH is not specified then the default is "branches/VERSION".
+#   For example, the command line:
 #
 #      ./dist.sh 0.24.2 6284
 #
@@ -17,8 +17,45 @@
 #   before running this script in the top-level directory.
 #
 
-if [ -z "$1" ] || [ -z "$2" ]; then
-  echo "USAGE: ./dist.sh VERSION REVISION [REPOS-PATH]"
+# Let's check and set all the arguments
+ARG_PREV=""
+
+for ARG in $@
+do
+  if [ "$ARG_PREV" ]; then
+
+    case $ARG_PREV in
+       -v) VERSION="$ARG" ;;
+       -r) REVISION="$ARG" ;;
+      -rs) REVISION_SVN="$ARG" ;;
+      -pr) REPOS_PATH="$ARG" ;;
+        *) ARG_PREV=$ARG ;;
+    esac
+
+    ARG_PREV=""
+
+  else
+
+    case $ARG in
+      -v|-r|-rs|-pr)
+        ARG_PREV=$ARG
+        ;;
+      *)
+        echo -n " USAGE: ./dist.sh -v VERSION -r REVISION"
+        echo    " [-rs REVISION-SVN ] [-pr REPOS-PATH]"
+        exit 1
+        ;;
+    esac
+  fi
+done
+
+if [ -z "$REVISION_SVN" ]; then
+  REVISION_SVN=$REVISION
+fi
+
+if [ -z "$VERSION" ] || [ -z "$REVISION" ] ; then
+  echo -n " USAGE: ./dist.sh -v VERSION -r REVISION"
+  echo    " [-rs REVISION-SVN ] [-pr REPOS-PATH]"
   exit 1
 fi
 
@@ -37,11 +74,6 @@
   exit 1
 fi
 
-VERSION="$1"
-
-REVISION="$2"
-
-REPOS_PATH="$3"
 if [ -z "$REPOS_PATH" ]; then
   REPOS_PATH="branches/$VERSION"
 else
@@ -53,8 +85,9 @@
 DISTPATH="$DIST_SANDBOX/$DISTNAME"
 
 echo "Distribution will be named: $DISTNAME"
+echo "  relase branch's revision: $REVISION"
+echo "     executable's revision: $REVISION_SVN"
 echo "     constructed from path: /$REPOS_PATH"
-
 echo "Building new design docs in docs/ ..."
 
 make doc-design
@@ -117,7 +150,7 @@
 vsn_file="$DISTPATH/subversion/include/svn_version.h"
 
 sed -e \
- "/#define *SVN_VER_TAG/s/dev build/r$REVISION/" \
+ "/#define *SVN_VER_TAG/s/dev build/r$REVISION_SVN/" \
   < "$vsn_file" > "$vsn_file.tmp"
 
 sed -e \
@@ -125,7 +158,7 @@
   < "$vsn_file.tmp" > "$vsn_file.unq"
 
 sed -e \
- "/#define *SVN_VER_REVISION/s/0/$REVISION/" \
+ "/#define *SVN_VER_REVISION/s/0/$REVISION_SVN/" \
   < "$vsn_file.unq" > "$vsn_file"
 
 rm -f "$vsn_file.tmp"
diff --git a/subversion/include/svn_version.h b/subversion/include/svn_version.h
index e2e711f..736f51d 100644
--- a/subversion/include/svn_version.h
+++ b/subversion/include/svn_version.h
@@ -55,13 +55,13 @@
  * Modify when new functionality is added or new interfaces are
  * defined, but all changes are backward compatible.
  */
-#define SVN_VER_MINOR      33
+#define SVN_VER_MINOR      34
 
 /** Patch number.
  *
  * Modify for every released patch.
  */
-#define SVN_VER_MICRO      1
+#define SVN_VER_MICRO      0
 
 /** Library version number.
  *